Bug 164317 - Replication failover fails if the NFS permissions are incorrect on one of the servers...
Replication failover fails if the NFS permissions are incorrect on one of the...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Brock Organ
:
Depends On:
Blocks: 156323
  Show dependency treegraph
 
Reported: 2005-07-26 17:21 EDT by Chris Feist
Modified: 2007-11-30 17:07 EST (History)
10 users (show)

See Also:
Fixed In Version: RHBA-2005-657
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:58:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Feist 2005-07-26 17:21:37 EDT
+++ This bug was initially created as a clone of Bug #129052 +++

Replication fails to failover if a server gives a permission denied error.

On the client side I used the follwoing components:

# uname -r
2.4.21-18.EL
# rpm -q autofs
autofs-4.1.3-9
# lsmod | grep autofs
autofs4                15896   1  (autoclean)

I configured on two NFS servers one to export to my machine, the other
with the same share configured *not* to export to my machine.

I configured the autofs client like so:

# cat /etc/auto.misc
foo             -rw        172.31.0.110,172.16.59.144:/foo

On 172.31.0.110, the export looked like this:
# cat /etc/exports 
/foo          172.31.0.100(rw)

On 172.16.59.144, the export looked like this:
# cat /etc/exports
/foo          172.16.50.17(rw)

When I cd to /foo on the client system, I get the following error:

# cd /misc/foo
-bash: cd: /misc/foo: No such file or directory

# tail /var/log/messages
Aug  3 11:23:49 halfsquatch automount[25860]: >> mount:
172.31.0.110:/foo failed, reason given by server: Permission denied
Aug  3 11:23:49 halfsquatch automount[25860]: mount(nfs): nfs: mount
failure 172.31.0.110:/foo on /misc/foo
Aug  3 11:23:49 halfsquatch automount[25860]: failed to mount /misc/foo

So instead of trying the next server in the chain, autofs gives up
when permission is denied on a particular server.
Comment 1 Chris Feist 2005-07-26 19:09:52 EDT
A fix for this bug has been built into autofs-4.1.3-151.
Comment 4 Red Hat Bugzilla 2005-10-05 12:58:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-657.html

Note You need to log in before you can comment on or make changes to this bug.